{
  config,
  ...
}: 
{

  services.dunst = {
    enable = true;
    #waylandDisplay = "DP-2";
    settings = {
      global = {
        follow = "mouse";
        height = "200";
        width = "400";
        scale = "0";
        origin = "top-right";
        offset = "4x40";
        notification_limit = "0";
        progress_bar = "true";
        progress_bar_height = "10";
        progress_bar_frame_width = "0";
        progress_bar_min_width = "350";
        progress_bar_max_width = "400";
        indicate_hidden = "yes";
        transparency = "0";
        separator_height = "2";
        padding = "12";
        horizontal_padding = "15";
        text_icon_padding = "0";
        frame_width = "2";
        frame_color = "#${config.colorScheme.colors.base03}";
        separator_color = "auto";
        sort = "yes";
        font = "IBM Plex Mono 14";
        markup = "full";
        format = "<b>%s</b>\\n<span size=\"small\">%b</span>";
        alignment = "center";
        vertical_alignment = "center";
        show_age_threshold = "60";
        ellipsize = "end";
        ignore_newline = "no";
        stack_duplicates = "true";
        hide_duplicate_count = "false";
        show_indicators = "yes";
        min_icon_size = 32;
        max_icon_size = 64;
        
        icon_path = "/usr/share/icons/gnome/128x128/status/:/usr/share/icons/gnome/128x128/devices/";
        icon_theme = "Papirus, Adwaita";
        enable_recursive_icon_lookup = "true";

        sticky_history = "yes";
        history_length = "20";

        dmenu = "wofi --show dmenu -p dunst:";
        browser = "/usr/bin/xdg-open";
        always_run_script = "true";
        title = "Dunst";
        class = "Dunst";
        corner_radius = "10";
        ignore_dbusclose = "false";
        layer = "top";
        force_xwayland = "true";
        force_xinerama = "false";

        mouse_left_click = "close_current";
        mouse_middle_click = "context";
        mouse_right_click = "do_action";

      };
      urgency_low = {
        background = "#${config.colorScheme.colors.base00}";
        foreground = "#${config.colorScheme.colors.base07}";
        frame_color = "#${config.colorScheme.colors.base03}";
        timeout = "3";
        highlight = "#${config.colorScheme.colors.base0B}";
      };
      urgency_normal = {
        background = "#${config.colorScheme.colors.base00}";
        foreground = "#${config.colorScheme.colors.base07}";
        frame_color = "#${config.colorScheme.colors.base03}";
        timeout = "5";
        highlight = "#${config.colorScheme.colors.base0C}";
      };
      urgency_critical ={
        background = "#${config.colorScheme.colors.base00}";
        foreground = "#${config.colorScheme.colors.base0F}";
        frame_color = "#${config.colorScheme.colors.base03}";
        timeout = "10";
        highlight = "#${config.colorScheme.colors.base0E}";
      };
    };
  };
}