{ 
  pkgs, 
  inputs, 
  config,
  ... 
}:
let 
  colorVariant = " black";
  gtkThemeFromScheme = import ./gtk-theme-gen.nix { inherit pkgs; };
  nix-colors-lib-contrib = inputs.nix-colors.lib-contrib { inherit pkgs; };
in 
{

  home.pointerCursor = {
    package = pkgs.bibata-cursors;
    name = "Bibata-Modern-Classic";
    size = 24;
    gtk.enable = true;
    x11.enable = true;
  };

  gtk = {
    enable = true;
    theme = {
      name = "${config.colorscheme.slug}";
      package = gtkThemeFromScheme {
        scheme = config.colorScheme;
      };
    };
    iconTheme = {
      name = "tela-circle-icon-theme";
      package = pkgs.tela-circle-icon-theme;
    };
  };

  qt = {
    enable = true;
    platformTheme = "gtk";
  };
}
