{
  config, 
  pkgs, 
  ...
}:{

imports = [
  ../../colors
  ../../home/cli
  ../../home/gui
  ../../home/wayland/hyprland
];

  systemd.user.startServices = "sd-switch";
  programs.home-manager.enable = true;
  services.nextcloud-client.enable = true;

  xdg.userDirs.enable = true;
  xdg.userDirs.desktop = "${config.home.homeDirectory}/desktop";
  xdg.userDirs.documents = "${config.home.homeDirectory}/desktop";
  xdg.userDirs.download = "${config.home.homeDirectory}/downloads";
  xdg.userDirs.extraConfig = {
    XDG_MISC_DIR = "${config.home.homeDirectory}/misc";
  };
  xdg.userDirs.music = "${config.home.homeDirectory}/media/music";
  xdg.userDirs.pictures = "${config.home.homeDirectory}/media/photo";
  xdg.userDirs.publicShare = "${config.home.homeDirectory}/media/photo";
  xdg.userDirs.templates = "${config.home.homeDirectory}/media/template";
  xdg.userDirs.videos = "${config.home.homeDirectory}/media/video";
  xdg.userDirs.createDirectories = true;

  home = {
    username = "sora";
    homeDirectory = "/home/sora";
    packages = with pkgs; [
      #ui
      firefox
      vscodium
      xfce.thunar
      xfce.thunar-volman
      xfce.thunar-archive-plugin
      discord
      telegram-desktop
      obs-studio
      pavucontrol
      unzip
      appimage-run
      yt-dlp
      keepassxc
      nextcloud-client
      jellyfin-mpv-shim

      #games
      wineWowPackages.wayland
      gamemode
      gamescope
      mangohud
      prismlauncher
      openttd-jgrpp
      bottles

      #sexyterm
      cbonsai
      pipes-rs
      cmatrix
      cava
    ];
    
    stateVersion = "23.05";
  };
}